Delete content
1 min
DELETE
https://api.cms.optimizely.com/v1/content/{key}
keystringThe key of the content item to delete.
acceptstringGenerated from available response content types
Preferarray<p>Indicates client preference for the response content as per IETF RFC7240. Currently only supports 'return=representation' which can be used to indicate a preference to receive a representation of the resource that has been altered in the response.</p>
cms-permanent-deletebooleanIndicates that the content item should be permanently deleted immediately or if it should be soft deleted first.
If-Matchstring<p>If provided, the DELETE request will only be considered if the value matches the RFC7232 ETag of the current resource. Weak ETags will always be ignored.</p>
If-Unmodified-Sincestring<http-date><p>If provided, the DELETE request will only be considered if the resource has not been modified since the provided date. This parameter will be ignored if an 'If-Match' parameter is also provided.</p>
200OK
204No Content
400Bad Request
401Unauthorized
403Forbidden
404Not Found
412Precondition Failed
429Too Many Requests
500Internal Server Error
curl --request DELETE \
--url https://api.cms.optimizely.com/v1/content/{key} \
--header 'accept: application/json'